<?php $setting = Core::get('Settings'); ?>
<script>
var show = function(payments){
	$('.payments').hide();
	$('.'+payments).show();
}
$(document).ready(function(){
	show('<?php echo $setting->get('sms_api_name') ?>');
	
	$('#update').click(function(){
		var form   = $('#payments_form');
		var serial = form.serialize();
		
		$.ajax({
			url: core.getConfig('base_url') + 'admin/setting/update',
			type: 'POST',
			dataType: 'JSON',
			data: serial,
			
			success: function(json){
				notif(json.message, 2000);
			}	
		});
	});
	
	$('select[name="sms_api_name"]').on("change", function(){
		show($(this).val());
	});
	
});
</script>
<?php
$payments = Core::get('Payments');
?>
<div class="img_bar">Płatności<span style="float: right" id="update">Zaktualizuj ustawienia</span></div>
<div class="blue_box">
	<div class="content">
		<div class="edit_payments_result"></div>
		<form action="" id="payments_form" method="post" onsubmit="return false">
			<span style="margin-left: 30px" class="label">Wybrane API Płatoności</span>
				<select style="width: 300px; padding: 5px; margin-left: 10px" name="sms_api_name">
					<?php
						$payments_div = '';
						foreach($payments->getPayments() as $pay)
						{
							$payments_div .= Core::get('view')->execute(('admin/payments_div/' . $pay), TRUE);
							$selected = $setting->get('sms_api_name') == $pay ? 'selected' : '';
							
							echo "<option {$selected} value='{$pay}'>{$pay}</option>";
							
						}
					?>
				</select>
				<div class="belt"></div>
				
				<div class="img_bar">Konfiguracja wybranej płatności</div>
				<div class="content">
					<?php echo $payments_div; ?>
				</div>
		</form>
	</div>
</div>