<script>
	var updateSetting = function(){
	
		var form   = $('#setting');
		var serial = form.serialize();
		
		$.ajax({
			url: core.getConfig('base_url') + 'admin/setting/update',
			type: 'POST',
			data: serial,
			dataType: 'JSON',
				
			success: function(json){
				notif(json.message, 2000);
			}
		});
	}
</script>
<div class="img_bar">Ustawienia strony<span class="setting_menu" onclick="updateSetting()">Aktualizuj</span></div>
<div class="content" style="padding: 0">
			<style>
			.setting_content{
				display: none;
			}
			.box{
				border: none;
			}
			</style>
			<script>
			$(document).ready(function(){
				$('.tab').click(function(){
					var card = $(this).attr('card');
					
					var show_setting_menu = parseInt( $(this).attr('setting_menu') );
					
					if(show_setting_menu == 1){
						$('.setting_menu').show();
					}else{
						$('.setting_menu').hide();
					}
					
					
					$('.tab').removeClass('active');
					$(this).addClass('active')
					
					$('.setting_content').hide();
					$('.content_' + card).show();
					
				});
			});
			</script>
				<?php
						$admin_setting_tabs = '';
						$admin_settings     = '';
						error_reporting(E_ALL);
						$groups   = Member::groupList();
						$services = Service::getAll();
					
						$xml = simplexml_load_file( APPPATH . 'xml/admin_setting.xml' );
						
						foreach($xml->section as $section)
						{
							$is_default = isset($section->default) && $section->default ? 1 : 0;
							$section_uniq_key = sha1($section->name);
							
							$tab_active = $is_default ? ' active' : '';
							$admin_setting_tabs .= "<div class='tab{$tab_active}'card='{$section_uniq_key}' setting_menu='{$section->menu}'>{$section->name}</div>";
							
							if(!intval($section->menu))
							{
								continue;
							}
							
							$style_content = $is_default ? 'block' : 'none';
							$admin_settings .= "<div class='setting_content content_{$section_uniq_key}' style='display: {$style_content}'>";
							
							foreach($section->sub_section as $sub_section)
							{
								$admin_settings .= "<div class='bar'>{$sub_section->name}</div>";
								$admin_settings .= "<table class='table'>";
								
								foreach($sub_section->setting as $setting)
								{	
									$value = Core::setting()->getNoFormat(trim(str_replace('[]', '', $setting->name)), $setting->value);
								
									$admin_settings .= "<tr>";
									
									$admin_settings .= "<td><span class='label'>{$setting->short_desc}</span><br/>{$setting->desc}</td>";
									
									$admin_settings .= "<td>";
									switch( trim(strtolower($setting->type)) )
									{
										case 'password':
										case 'text':
											$admin_settings .= "<input type='{$setting->type}' value='{$value}' name='{$setting->name}'>";
										break;
										case 'area':
											$admin_settings .= "<textarea style='width: 300px; height: 100px' name='{$setting->name}'>{$value}</textarea>";
										break;
										case 'radio':
											$checked_yes = $value ? 'checked="checked"' : '';
											$checked_no  = $value ? '' : 'checked="checked"';
											
											$admin_settings .= "<span class='radio_on'>";
											$admin_settings .= "<input type='radio' {$checked_yes} name='{$setting->name}' value='1'>";
											$admin_settings .= "</span>";
											$admin_settings .= "<span class='radio_off'>";
											$admin_settings .= "<input type='radio' {$checked_no} name='{$setting->name}' value='0'>";
											$admin_settings .= "</span>";
										break;
										case 'select':
											$multi           = isset($setting->multi) && intval($setting->multi) ? "MULTIPLE size='5'" : '';
											$admin_settings .= "<select name='{$setting->name}' {$multi}>";
											switch(strtolower(trim($setting->value)))
											{
												case 'group':
													foreach($groups as $group)
													{
														$selected = ($value == $group['id']) ? 'selected' : '';
														$admin_settings .= "<option {$selected} value='{$group['id']}'>{$group['group_name']}</option>";
													}
												break;
												case 'service':
													$no_allowed = explode(',', $value);
													$service = array();
													foreach($no_allowed as $key)
													{
														$service[$key] = true;
													}
													foreach($services as $r)
													{
														$selected = isset($service[$r['id']]) ? 'selected' : '';
														$admin_settings .= "<option {$selected} value='{$r['id']}'>{$r['name']}</option>";
													}
												break;
											}
											$admin_settings .= '</select>';
										break;
									}
									$admin_settings .= "</td>";
									$admin_settings .= "</tr>";
								}
								
								$admin_settings .= "</table>";
							}
							$admin_settings .= "</div>";
						}
				?>
			
				<?php
					echo $admin_setting_tabs;
				?>
			
				<div class="box">
				
					<form id="setting" action="" onsubmit="return false" method="post">
						<?php echo $admin_settings ?>
					</form>
				
					<?php
						Core::view()->execute('admin/setting/menu');
					?>
				
				</div>
		
	</div>