<?php
	Core::get('view')->title('Moje usługi - Panel użytkownika');
?>
<div class="img_bar">Moje kupione usługi</div>
<script>
var extendService = function(id){
	new SimpleBox({
		url: core.getConfig('base_url') + 'member/service/extend',
		data: {id: id},
		submitAction: function(){
			var day = $('select[name="day"]').val();
			
			$.ajax({
				url: core.getConfig('base_url') + 'member/service/do_extend',
				data: {
					id: id,
					day: day
				},
				dataType: 'JSON',
				type: 'POST',
				
				success: function(r){
					notif(r.message, 2000);
				}
			});
		},
		submitClose: true
	}).show();
}
</script>
<table class="table">
	<tr class="header">
		<td>Nazwa usługi</td>
		<td>Usługa zakupiona na</td>
		<td>Aktywna</td>
		<td>Data zakupu</td>
		<td>Wygaśnie za</td>
		<td></td>
	</tr>
	<?php
		$data = Service::getMemberFromBuyCache( Member::logged() );
		
		if(!count($data))
		{
			echo '<td colspan="4">Jeszcze niczego nie kupiłeś.</td>';
		}
		else
		{
			$amxbans = new AmxBans();
			foreach($data as $r)
			{
				$r['service'] = Service::get($r['service_id']);
				
				$a = $amxbans->connect( $amxbans->getAmxBans($r['service']['amxbans_id']) );
				
				if(!$a)
				{
					continue;
				}
				
				$a = $a -> uzytkownik($r['amxbans_member_id']);
				$a = $a['username'];
				
				if($r['status'])
				{
					$r['expired'] = ceil(($r['expired'] - $r['created']) / Date::DAY);
				}
				else
				{
					$r['expired'] = 0;
				}
				
				$r['created'] = Date::strtime($r['created']);
				
				$r['status'] = $r['status'] ? '<font color="green">Tak</font>' : '<font color="red">Nie</font>';
				
				echo "<tr>
					<td>{$r['service']['name']}</td>
					<td>{$a}</td>
					<td>{$r['status']}</td>
					<td>{$r['created']}</td>
					<td>{$r['expired']} dni</td>
					<td><button onclick='extendService({$r['id']})' class='uibutton special icon add'>Przedłuż</button></td>
					</tr>
				";
			}
		}
	?>
</table>