/**
 * Core Jquery Class by Gh0st
 *
 */
var Core = function(){
	var core = this;
	this.config = {}
	
	var ajax_loader = $(document.createElement('div')).addClass('ajax_loader');

	$(document).ajaxStart(function(){
	
		$('input, button, textarea').addClass('disable').attr('disabled', 'disabled');
		$('body').append(ajax_loader.html('Trwa ładowanie...'));
		
		
	});
	
	$(document).ajaxStop(function(data){
		$('input, button, textarea').removeClass('disable').removeAttr('disabled');
		
		ajax_loader.remove();
	});
	
	$(document).ajaxSuccess(function(a, b){
		var response = b.responseJSON;
		
		$('.gen_time').html(response.gen_time     || $('.gen_time').html());
		$('.current_time').html(response.time     || $('.current_time').html());
		$('.memory').html(response.memory         || $('.memory').html());
		
	});
	
	$(document).ajaxError(function(a, b){
		new SimpleBox({
			title: 'Wystąpił błąd ajax',
			message: b.responseText || 'Nie udało się wyświetlić błędu'
		}).show();
	});
	
	
	/**
	 * Set config...
	 * 
	 * @param String
	 * @param String
	 */
	this.setConfig = function(key_name, value){
		core.config[key_name || 0] = value || false; 
	}
	
	/**
	 * Get config
	 * 
	 * @param String
	 * @return String
	 */
	this.getConfig = function(key_name){
		return core.config[key_name || 0];
	}
}