<?php defined('SYSPATH') or die('No direct script access.');

class Controller
{	
	/**
	 * Initialize...
	 */
	public function __construct()
	{
		// Zainicjujmy użytkowników
		Member::initialize();
	}
	
	/**
	 * Uruchamia nasz skrypt...
	 */
	public function execute()
	{
		$requestClass = Core::get('Request');

		$controller_name =  strtolower($requestClass->segment(0, 'welcome'));
		$action_name     =  strtolower($requestClass->segment(1, 'index'));
		
		$controller = 'Controller_' . $controller_name;
		$action     = 'action_'     . $action_name;
		
		if(Core::auto_load($controller, APPPATH))
		{
			$concret_controller = $controller . '_' . $action_name;
			
			if(class_exists($controller) && Core::auto_load($concret_controller, APPPATH) && class_exists($concret_controller))
			{
				$class = new $concret_controller();
				
				// Jakaś inna akcja w tej klasie ?
				$some_action = $requestClass->segment(2, FALSE);
				
				if($some_action != FALSE)
				{
					// Główna akcja...
					$action = 'action_' . $some_action;
				}
				
				if(method_exists($class, $action) or method_exists($class, '__call'))
				{
					// Wszystko ok...
					$class->{$action}();
					
					// Zakończmy żeby nam błędy nie wyjebało xD
					return true;
				}
			}
		}
		
		Core::get('View')->title('Error');
		HTTP::show_404();
	}
}