<div class="img_bar">Statystyki sklepu</div>
<div class="blue_box">
	<div class="content">
		<script type="text/javascript">
			// Set a callback to run when the Google Visualization API is loaded.
		    $(document).ready(function(){
				
				var data = false;
				var options = {
					height: 400,
					width: 450,
					is3D: true
				}
			
				/**
				 * Najczęsciej kupowane
				 * Gh0st
				 */
				data = google.visualization.arrayToDataTable([
					['Nazwa usługi', 'Ilość sprzedaży'],
					<?php
						$string = "";
						foreach(Core::db()->query("SELECT `service_id`, COUNT(`service_id`) AS `total` FROM `services_buy_cache_` GROUP BY (`service_id`) ORDER BY `total` DESC") as $service)
						{
							$name   = Service::get($service['service_id']);
							$name   = $name['name'];
							
							$string .= "['{$name}', '{$service['total']}'],";
						}
						echo rtrim($string, ',');
					?>
				]);

				options.title = 'Statystyki sprzedaży usług (bez przedłużania)';
				new google.visualization.PieChart(document.getElementById('chart_top')).draw(data, options);
				
				
				/**
				 * Statystyki sprzedaży usług
				 * Gh0st
				 */
				data = google.visualization.arrayToDataTable([
					['Nazwa usługi', 'Ilość PLN'],
					<?php	
						$string = "";
						foreach(Core::db()->query("SELECT `name`, `full_cash` FROM `services_` order by `full_cash` DESC") as $r)
						{
							$string .= "['{$r['name']}', '{$r['full_cash']}'],";
						}
						echo rtrim($string, ',');
					 ?>
				]);

				options.title = 'Ilość zarobionych PLN';
				new google.visualization.PieChart(document.getElementById('chart_cash')).draw(data, options);
						
				/**
				 * Największy stan portfela
				 * Gh0st
				 */
				data = google.visualization.arrayToDataTable([
					['Użytkownik', 'PLN'],
					<?php
						$other = Member::getWalletSum();
						$top   = Member::getWalletTop(3);
									
						// Odejmijmy portfel innych użytkowników o portfel 
						// tego użytkownika i zapiszmy do wyświetlenia
						$string = '';
						foreach($top as $member)
						{
							$other -= $member['wallet'];
							$member['wallet'] = str_replace(',', '.', round($member['wallet'],2));
							
							$string .= "['{$member['login']}', {$member['wallet']}],";
						}
						$other = str_replace(',', '.', round($other, 2));
						$string .= "['Inni', {$other}]";
						echo $string;
					?>
				]);
				
				options.title = 'Największy stan portfela';
				new google.visualization.PieChart(document.getElementById('chart_member_cash_top')).draw(data, options);
				
				<?php
					// Wartości startowe
					$created    = array();
					$expired    = array();
					$time       = time();
				
					$off        = $time - (7*Date::DAY);
					
					while( $time > $off )
					{
						$day = date( 'Y-m-d', $time );
						
						$created[ $day ] = 0;
						$expired[ $day ] = 0;
						
						$time -= Date::DAY;
					}
					
					
					$data = Core::db()->query("SELECT `created` FROM `services_buy_cache_` where `created` >= {$off}");
					while($r = $data->fetch())
					{
						$created[ date('Y-m-d', $r['created']) ]++;
					}
					
					$data = Core::db()->query("SELECT `expired` FROM `services_buy_cache_` where `expired` >= {$off} AND `expired` <= UNIX_TIMESTAMP()");
					while($r = $data->fetch())
					{
						$expired[ date('Y-m-d', $r['expired']) ]++;
					}
				?>
			
					data = google.visualization.arrayToDataTable([
						['Dzień', 'Zakupy', 'Wygaśnięcia'],
						<?php
							$keys = array_keys($created);
							$string = "";
							for($i=(count($keys)-1); $i > -1; $i--)
							{
								$string .= "['{$keys[$i]}', {$created[$keys[$i]]}, {$expired[$keys[$i]]}],";
							}
							echo rtrim($string, ',');
						?>
					]);
					
					options.title = 'Ostatnie 7 dni';
					options.width = 900;
					new google.visualization.AreaChart(document.getElementById('chart_line')).draw(data, options);
			});
		</script>
		
		<div>
			<div id="chart_line" style="width: 900px; height: 400px;"></div>
		</div>
		<div style="clear: both"></div>
		<div>
			<div id="chart_top" style="width: 450px; height: 400px; float: left"></div>
			<div id="chart_cash" style="width: 450px; height: 400px; float: right"></div>
		</div>
		<div style="clear: both"></div>
		<div>
			<div id="chart_member_cash_top" style="width: 450px; height: 400px; float: left"></div>
		</div>
		<div style="clear: both"></div>
	</div>
</div>