<script>
function deleteCode(id, element){
	$.ajax({
		url: core.getConfig('base_url') + 'admin/code/delete',
		data: {id: id},
		dataType: 'JSON',
		type: 'POST',
		
		success: function(r){
			notif(r.message, 2000);
			if(r.result == 'success'){
				$(element).parent().parent().slideToggle(600);
			}
		}
	});
}
$(document).ready(function(){
	$('.add').on('click', function(){
		$('.add_box').slideToggle(600);
	});
	
	$('#add_form').submit(function(){
		var serial = $(this).serialize();
		
		$.ajax({
			url: core.getConfig('base_url') + 'admin/code/add',
			data: serial,
			dataType: 'JSON',
			type: 'POST',
			
			success: function(r){
				notif(r.message, 2000);
				
				if(r.result == 'success'){
					menu('code', $('.code'));
				}
			}
		});
	});
	
});
</script>
<div class="img_bar">Kody <span style="float: right" class="add">Dodaj</span></div>

<div class="add_box" style="display: none">
	<form id="add_form" onsubmit="return false" method="post">
		<table class="table">
			<tr class="header">
				<td>8 znakowy kod (ten kod został wygenerowany automatycznie)</td>
				<td>Wartość kodu</td>
				<td></td>
			</tr>
			<?php
				$chars = "QWERTYUIOPASDFGHJKLZXCVBNM1234567890";
				$code = '';
				for($i=0; $i<8; $i++){
					$code  .= $chars[rand(0, strlen($chars)-1)];
				}
			?>
			<tr>
				<td><input type="text" value="<?php echo $code ?>" maxlength="8" name="code"></td>
				<td><input type="text" value="10.0" name="wallet"> PLN</td>
				<td><input type="submit" value="Dodaj" class="uibutton confirm"></td>
			</td>
		</table>
	</form>
</div>

<table class="table">
	<tr class="header">
		<td>Kod</td>
		<td>Wartość kodu ( PLN )</td>
		<td>Aktywowany przez</td>
		<td></td>
	</tr>
	<?php
	
	$codes = Code::get();
	$count = count($codes);
	
	if($count)
	{
		foreach($codes as $code)
		{
			echo '<tr '.($code['active_member_id'] ? 'style="opacity: 0.6"' : '').'>';
				echo '<td>' . $code['code'] . '</td>';
				echo '<td>' . $code['wallet'] . '</td>';
				echo '<td>' . ($code['active_member_id'] > 0 ? Member::getDisplayName($code['active_member_id']) : '<font color="green">Dostępny</font>') . '</td>';
				echo '<td><img onclick="deleteCode('.$code['id'].', this)" src="' . Core::$site . 'media/image/delete.png"></td>';
			echo '</tr>';
		}
	}
	else
	{
		echo '<tr><td colspan="4" style="text-align: center">Brak kodów w bazie danych</td></tr>';
	}
	?>
</table>