<?php

// Utwórzmy obiekt amxbansa i pobierzmy amxbansy z bazy...
$amxbans      = new AmxBans();
$amxbans_list = $amxbans->getAmxBansList();

$no_amxbans = false;
// Jeśli nie ma żadnych amxbansów to wyświetlmy błąd i przerwijmy
if(!count($amxbans_list))
{
	echo '<div class="error">Brak AmxBansów w bazie danych...</div>';
	$no_amxbans = true;
	return;
}
?>
<script type="text/javascript" src="<?php echo Core::$site ?>media/script/nicEdit.js"></script>
<script>
	new nicEditor({fullPanel : true}).panelInstance('area1');
</script>
<div style="max-height: 450px; overflow-y: scroll">	
	<div class="box" style="border: none">
		<?php
			if(isset($data))
			{
				echo '<input type="hidden" name="id" value="'.$data['id'].'">';
			}
		?>
		<table style="width: 100%">
			<tr>
				<td><span class="label">Nazwa usuługi</span></td>
				<td><input style="width: 230px" value="<?php echo isset($data) ? $data['name'] : '' ?>" type="text" name="name"></td>
				
			</tr>
			<tr>
				<td><span class="label">Flagi jakie mają zostać dodane</span></td>
				<td><input style="width: 230px" value="<?php echo isset($data) ? $data['flags'] : '' ?>" type="text" name="flags"></td>
			</tr>			
			<tr>
				<td><span class="label">Koszt za jeden dzień</span></td>
				<td><input style="width: 230px" type="text" value="<?php echo isset($data) ? $data['cost_per_day'] : '0.35' ?>" name="cost_per_day"> PLN</td>
			</tr>
			<tr>
				<td><span class="label">Ilość dni na ile można zamówić</span></td>
				<td>
					od <input style="width: 100px" type="text" value="<?php echo isset($data) ? $data['min_day'] : '7' ?>"  name="min_day">  
					do <input style="width: 100px" type="text" value="<?php echo isset($data) ? $data['max_day'] : '120' ?>" name="max_day"> dni
				</td>
			</tr>
		</table>
		
		<div class="bar">Opis Usługi</div>
		<div class="content">
			<textarea name="desc" id="area1" style="width: 950px; height: 150px"><?php echo isset($data) ? $data['desc'] : '' ?></textarea>
		</div>
			
		<div style="clear: both"></div>
		<div style="float: left; width: 60%">
			<div class="bar">Usułga dostępna na serwerze</div>
			<div class="content">
				<select style="width: 100%" name="amxbans_id" size="5">
					<?php
						foreach($amxbans_list as $a)
						{
							$amx  = $amxbans->connect($a);
							if(!$amx)
							{
								continue;
							}
							foreach((array)$amx->serverList() as $server){ 
							
								$selected = (isset($data) && $data['server_id'] == $server['id'] && $data['amxbans_id'] == $a['id']) ? 'selected="selected"' : '';
					?>
								<option <?php echo $selected ?> value="<?php echo $a['id'] .'|'.$server['id'] ?>"><?php echo $a['name'] . ' - ' . $server['hostname'] ?></option>
					<?php
							}
						}
					?>
				</select>
			</div>
		</div>
		<div style="float: right; width: 40%">
			<div class="bar">Dla grup( możesz wybrać kilka )</div>
			<div class="content">
				<?php
					$groups = array();
					if(isset($data))
					{
						$allowed_groups = explode(',', $data['allowed_group']);
						foreach($allowed_groups as $key)
						{
							$groups[$key] = true;
						}
					}
				?>
				<select style="width: 100%" name="allowed_group[]" MULTIPLE size="5">
				<?php
					foreach(Member::groupList() as $g)
					{
				?>
						<option <?php echo isset($groups[$g['id']]) ? 'selected' : '' ?> value="<?php echo $g['id'] ?>"><?php echo $g['group_name'] ?></option>
				<?php
					}
				?>
				</select>
			</div>
		</div>
	</div>
</div>
<div style="clear: both"></div>