<?php
	$data = Member::load( Member::logged() );
	// Zmiana tytułu strony
	Core::get('View')->title('Ogólne informacje - Panel użytkownika');

	// Informacje o $$
	$wallet = round($data['wallet'], 2);
	
	// Informacje o zakupionych usługach
	$buy_count = Service::getMemberFromBuyCache($data['id'], 'count');
	$active_count = Service::getMemberFromBuyCache($data['id'], 'count', true);
?>
<div class="img_bar">Ogólne informacje</div>
<div class="blue_box">
	<div style="float: left; width: 170px">
		<div class="content">
			<img src="<?php echo Core::$site ?>media/image/default_large.png" width="150" height="150"/> <br/>
			<div style="padding: 5px">
				<a href="<?php echo Core::$site ?>member/?do=setp">
					<img style="position: relative; top: 3px" src="<?php echo Core::$site ?>media/image/lock.png" /> Zmień hasło
				</a> <br/>
				<a href="<?php echo Core::$site ?>member/?do=wallet">
					<img style="position: relative; top: 3px" src="<?php echo Core::$site ?>media/image/wallet_plus.png" /> Doładuj portfel
				</a>
			</div>
		</div>
	</div>
	<div style="float: right; width: 750px">
		<div class="content" style="padding: 0">
			<div class="bar">Usługi i portfel</div>
			<table class="table">
				<tr>
					<td><span class="label">Stan twojego portfela wynosi </span></td>
					<td><span class="stats"><?php echo $wallet ?> PLN</span></td>
				</tr>
				<tr>
					<td><span class="label">Zakupione usługi</span></td>
					<td><span class="stats"><?php echo $buy_count ?></span></td>
				</tr>
				<tr>
					<td><span class="label">Z czego aktywnych usług</span></td>
					<td><span class="stats"><?php echo $active_count ?></span></td>
				</tr>
			</table>
			<div class="bar">Informacje o profilu</div>
			<table class="table">
				<tr>
					<td><span class="label">Grupa</span></td>
					<td><span class="stats"><?php echo $data['group_name'] ?></span></td>
				</tr>
				<tr>
					<td><span class="label">Adres e-mail</span></td>
					<td><span class="stats"><?php echo $data['email'] ?></span></td>
				</tr>
				<tr>
					<td><span class="label">Numer gadu gadu</span></td>
					<td><span class="stats"><?php echo $data['gg'] ?></span></td>
				</tr>
				<tr>
					<td><span class="label">Adres IP z jakiego konto zostało utworzone</span></td>
					<td><span class="stats"><?php echo $data['ip_addr'] ?></span></td>
				</tr>
			</table>
		</div>
	</div>
	<div style="clear: both"></div>
</div>

<?php
Core::view()->assign('log_section', 'login');
Core::view()->assign('log_title', 'Próby logowań na twoje konto');
Core::view()->assign('log_empty', 'Brak');

// Display
Core::view()->execute('log_template');
?>