<?php
	Core::view()->title('Zmiena hasła - Panel użytkownika');
	if(!Core::setting()->get('member_set_password', 1))
	{
		HTTP::redirect();
	}
?>
<script>
$(document).ready(function(){
	$('#set_form').submit(function(){
		var serialize = $('#set_form').serialize();
		
		$.ajax({
			url: core.getConfig('base_url') + 'member/profile/set_password',
			data: serialize,
			type: 'POST',
			dataType: 'JSON',
			
			success: function(r){
				notif(r.message, 2000);
				if(r.result == 1){
					$('.password_set_info').text('Hasło ostatnio zmieniono 1 sekunde temu');
				}
			}
		});
		
	});
});
</script>
<div class="img_bar">Zmiana hasła</div>
<form id="set_form" onsubmit="return false">
<div class="box">
	<div class="bar">1. Aktualne hasło</div>
	<table class="table">
		<tr>
			<td colspan="2" style="text-align: center; padding: 15px;" colspan="2">
				<span class="label password_set_info">
					<?php echo Member::get('password_set') ? ('Hasło ostatnio zmieniono ' . Date::format(Member::get('password_set'))) : 'Hasło jeszcze nigdy nie zostało zmienione' ?>
				</span>
			</td>
		</tr>
		<tr>
			<td><span class="label">Podaj aktualne hasło</span><br/>Hasło którego użyłeś aby zalogować się na tą sesje</td>
			<td><input type="password" name="current_password"></td>
		</tr>
	</table>
	<div class="bar">2. Nowe hasło</div>
	<table class="table">
		<tr>
			<td><span class="label">Nowe hasło</span><br/>Hasło na jakie chcesz zmienić, pamiętaj żeby było ono trudne.</td>
			<td><input type="password" name="new_password"></td>
		</tr>
		<tr>
			<td><span class="label">Powtórz nowe hasło</span><br/>Powtórz hasło powyżej, wielkość liter jest brana pod uwagę</td>
			<td><input type="password" name="new_password_confirm"></td>
		</tr>
	</table>
	<div class="bar">3. Zakończ zmiane hasła</div>
	<table class="table">
		<tr>
			<td colspan="2" style="text-align: center"><input type="submit" class="input_submit" value="Zmień"></td>
		</tr>
	</table>
</div>
</form>

<?php 
Core::view()->assign('log_section', 'password');
Core::view()->assign('log_title', 'Zmiany hasła');
Core::view()->assign('log_empty', 'Brak');

// Display
Core::view()->execute('log_template');
?>